package org.jeecg.modules.api.workorderController;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.apiService.BannerService;
import org.jeecg.modules.apiService.ConfigService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Api(tags="配置信息相关接口")
@RestController
@RequestMapping("/workorder/config")
@Slf4j
public class ConfigController {

    //轮播图信息
    @Resource
    private ConfigService configService;
    /****************************************************************************************************/

    @ApiOperation(value="配置信息-帮助中心", notes="配置信息-帮助中心")
    @RequestMapping(value = "/helpInfo", method = {RequestMethod.GET})
    public Result<?> helpInfo(){
        return configService.helpInfo();
    }

    @ApiOperation(value="配置信息-隐私协议", notes="配置信息-隐私协议")
    @RequestMapping(value = "/privacyInfo", method = {RequestMethod.GET})
    public Result<?> privacyInfo(){
        return configService.privacyInfo();
    }

    @ApiOperation(value="配置信息-查询用户角色配置信息", notes="配置信息-查询用户角色配置信息")
    @RequestMapping(value = "/userRoleInfo", method = {RequestMethod.GET})
    public Result<?> userRoleInfo(PageBean pageBean){
        return configService.userRoleInfo(pageBean);
    }

    @ApiOperation(value="配置信息-查询工单状态配置", notes="配置信息-查询工单状态配置")
    @RequestMapping(value = "/templateStatusInfo", method = {RequestMethod.GET})
    public Result<?> templateStatusInfo(PageBean pageBean){
        return configService.templateStatusInfo(pageBean);
    }

    @ApiOperation(value="配置信息-查询工序信息配置", notes="配置信息-查询工序信息配置")
    @RequestMapping(value = "/stepInfo", method = {RequestMethod.GET})
    public Result<?> stepInfo(PageBean pageBean){
        return configService.stepInfo(pageBean);
    }

    @ApiOperation(value="配置信息-查询工序流程配置", notes="配置信息-查询工序流程配置")
    @RequestMapping(value = "/processInfo", method = {RequestMethod.GET})
    public Result<?> processInfo(PageBean pageBean){
        return configService.processInfo(pageBean);
    }

    @ApiOperation(value="配置信息-查询检查项目配置", notes="配置信息-查询检查项目配置")
    @RequestMapping(value = "/itemCheckInfo", method = {RequestMethod.GET})
    public Result<?> itemCheckInfo(PageBean pageBean){
        return configService.itemCheckInfo(pageBean);
    }

}
